#ifndef QGNETWORKINTERFACE_H
#define QGNETWORKINTERFACE_H

#include <QHostAddress>

class QgNetworkInterface
{
public:
    static void setNetworkInterface(const QHostAddress& adr);
    static QHostAddress networkInterface();

    static QHostAddress networkBroadcast();

    static QString networkIP();
    static void setNetworkIP(const QString& str);

    static unsigned int networkMTU();
    static void setNetworkMTU(unsigned int);

    static unsigned int networkUdpMTU();
};

#endif // QGNETWORKINTERFACE_H
